# parallel/compatibility.h File Reference

Compatibility layer, mostly concerned with atomic operations. This file is a GNU parallel extension to the Standard C++ Library. More...

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Functions

- template<typename _Tp > bool __gnu_parallel::__compare_and_swap (volatile _Tp *__ptr, _Tp __comparand, _Tp __replacement)
- bool __gnu_parallel::__compare_and_swap_32 (volatile int32_t *__ptr, int32_t __comparand, int32_t __replacement)
- bool __gnu_parallel::__compare_and_swap_64 (volatile int64_t *__ptr, int64_t __comparand, int64_t __replacement)
- template<typename _Tp > _Tp __gnu_parallel::__fetch_and_add (volatile _Tp *__ptr, _Tp __addend)
- int32_t __gnu_parallel::__fetch_and_add_32 (volatile int32_t *__ptr, int32_t __addend)
- int64_t __gnu_parallel::__fetch_and_add_64 (volatile int64_t *__ptr, int64_t __addend)
- void __gnu_parallel::__yield ()

## Detailed Description

Compatibility layer, mostly concerned with atomic operations. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file parallel/compatibility.h.